    using System.Collections.ObjectModel;

namespace Entidades
{
    public class Remito
    {
        public int Id { get; set; }
        private List<Lote> lotesDeProductosEntregados = new List<Lote>();
        public Proveedor Proveedor { get; set; }

        public ReadOnlyCollection<Lote> MostrarLotes()
        {
            return lotesDeProductosEntregados.AsReadOnly();
        }
        public void AñadirLote(Lote lote)
        {
            try
            {
                lotesDeProductosEntregados.Add(lote);
            }
            catch (Exception)
            {
                throw;
            }
        }
        public string NombreProveedor
        {
            get
            {
                return Proveedor.Nombre;
            }
        }
    }
}
